package com.hp.user.service.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hp.user.service.constants.UserConstants;

/**
 * 微信工具类
 * @author yeqid
 *@sincs 2020/12/01
 */
public class WeixinSignUtil {
	/**
	 * 网页
	 */
	

    public static JSONObject getAccessToken(String code){
//		String url = "https://api.weixin.qq.com/sns/oauth2/access_token?";
//    	GET https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=APPID&secret=APPSECRET
    	String url = "https://api.weixin.qq.com/cgi-bin/token?";
		String params = "grant_type=client_credential&&appid="+UserConstants.WX_APPID+"&secret="+UserConstants.WX_SECRET;
//		String params = "appid="+UserConstants.WX_APPID+"&secret="+UserConstants.WX_SECRET+"&code="+code+"&grant_type=authorization_code";
		String result = HttpRequestUtil.httpGet(url + params);
		JSONObject data = JSON.parseObject(result);

		return data;
	}

	public static JSONObject getValidateData(String access_token,String openid){
		String url = "https://api.weixin.qq.com/sns/auth?access_token=" + access_token + "&openid=" + openid;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);

		return data;
	}

	public static JSONObject getRefreshToken(String refresh_token){
		String url = "https://api.weixin.qq.com/sns/oauth2/refresh_token?appid=" + UserConstants.WX_APPID + "&grant_type=refresh_token&refresh_token=" + refresh_token;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);

		return data;
	}

	public static JSONObject getUserInfo(String access_token,String openid){
		String url = "https://api.weixin.qq.com/sns/userinfo?access_token=" + access_token + "&openid=" + openid + "&lang=zh_CN";
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);

		return data;
	}
	
	public static JSONObject getCode2Session(String code) {
		String url = "https://api.weixin.qq.com/sns/jscode2session?";
		String params = "appid="+UserConstants.WX_APPID+"&secret="+UserConstants.WX_SECRET+"&js_code="+code+"&grant_type=authorization_code";
		String result = HttpRequestUtil.httpGet(url + params);
		JSONObject data = JSON.parseObject(result);

		return data;
	}
}
